Class DigitalLoasImpl
- All Implemented Interfaces:
DigitalLoas
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionCancels (invalidates) a Digital LOA document.create(DigitalLoaCreateRequest request) Creates a Digital LOA document.Submits a request for Digital LOA private beta access (POST /diloa/v1/privateBetaAccess).createRequest(Map<String, Object> request) Creates a Digital LOA request.findByUuid(String uuid) Gets a Digital LOA document by its uuid.findChangeByUuid(String uuid, String changeUuid) Gets a specific change record for a Digital LOA document.List<? extends DigitalLoaChange> findChangesByLoaUuid(String uuid) Lists the change records for a Digital LOA document.Returns the current user's acceptance of the Digital LOA private beta terms (GET /diloa/v1/betaTermsAgreement).Returns whether the current user is permitted to use the Digital LOA application in its private beta phase (GET /diloa/v1/privateBetaAccess).List<? extends LoaCustomerOrganization> listOrganizations(String ibx) Lists the customer organizations available in the given IBX data center that the current user may use as a Digital LOA requestor.List<? extends LoaCustomerOrganization> listOrganizations(String ibx, List<String> productTypes) Lists the customer organizations available in the given IBX data center, filtered by product type, that the current user may use as a Digital LOA requestor.performAction(String uuid, Map<String, Object> action) Performs an action on a Digital LOA document.List<? extends DigitalLoa> search(DigitalLoaSearchRequest request) Searches Digital LOA documents by the supplied search criteria (first page, default ordering).List<? extends DigitalLoa> Searches Digital LOA documents by the supplied search criteria, paging and sorting the results.Modifies a Digital LOA document by applying the supplied patch documents.updateBetaTermsAgreement(Boolean agreementAccepted) Records the current user's acceptance of the Digital LOA private beta terms (PUT /diloa/v1/betaTermsAgreement).
-
Constructor Details
-
DigitalLoasImpl
public DigitalLoasImpl()
-
-
Method Details
-
create
Description copied from interface:DigitalLoasCreates a Digital LOA document.- Specified by:
createin interfaceDigitalLoas- Parameters:
request- the create request body- Returns:
- the created Digital LOA
-
findByUuid
Description copied from interface:DigitalLoasGets a Digital LOA document by its uuid.- Specified by:
findByUuidin interfaceDigitalLoas- Parameters:
uuid- the Digital LOA document identifier- Returns:
- the Digital LOA
-
search
Description copied from interface:DigitalLoasSearches Digital LOA documents by the supplied search criteria (first page, default ordering).- Specified by:
searchin interfaceDigitalLoas- Parameters:
request- the search criteria body- Returns:
- the matching Digital LOA documents
-
search
public List<? extends DigitalLoa> search(DigitalLoaSearchRequest request, Integer offset, Integer limit, List<String> sort) Description copied from interface:DigitalLoasSearches Digital LOA documents by the supplied search criteria, paging and sorting the results.- Specified by:
searchin interfaceDigitalLoas- Parameters:
request- the search criteria bodyoffset- the index of the first item returned (zero-based), ornullfor the defaultlimit- the maximum number of items returned per page, ornullfor the defaultsort- the sort fields (e.g./expiryDateTime,-/expiryDateTime), ornull- Returns:
- the matching Digital LOA documents
-
update
Description copied from interface:DigitalLoasModifies a Digital LOA document by applying the supplied patch documents.- Specified by:
updatein interfaceDigitalLoas- Parameters:
uuid- the Digital LOA document identifieroperations- the JSON patch documents to apply- Returns:
- the modified Digital LOA
-
cancel
Description copied from interface:DigitalLoasCancels (invalidates) a Digital LOA document.- Specified by:
cancelin interfaceDigitalLoas- Parameters:
uuid- the Digital LOA document identifier- Returns:
trueif the Digital LOA was cancelled successfully
-
performAction
Description copied from interface:DigitalLoasPerforms an action on a Digital LOA document.- Specified by:
performActionin interfaceDigitalLoas- Parameters:
uuid- the Digital LOA document identifieraction- the action request body (thetypeof action is required)- Returns:
- the Digital LOA after the action was performed
-
createRequest
Description copied from interface:DigitalLoasCreates a Digital LOA request.- Specified by:
createRequestin interfaceDigitalLoas- Parameters:
request- the Digital LOA request body- Returns:
trueif the request was submitted successfully
-
findChangesByLoaUuid
Description copied from interface:DigitalLoasLists the change records for a Digital LOA document.- Specified by:
findChangesByLoaUuidin interfaceDigitalLoas- Parameters:
uuid- the Digital LOA document identifier- Returns:
- the Digital LOA change records
-
findChangeByUuid
Description copied from interface:DigitalLoasGets a specific change record for a Digital LOA document.- Specified by:
findChangeByUuidin interfaceDigitalLoas- Parameters:
uuid- the Digital LOA document identifierchangeUuid- the Digital LOA change identifier- Returns:
- the Digital LOA change record
-
listOrganizations
Description copied from interface:DigitalLoasLists the customer organizations available in the given IBX data center that the current user may use as a Digital LOA requestor.Private beta endpoint (
GET /diloa/v1/organizations). Thelocation.ibxquery parameter is required by the API.- Specified by:
listOrganizationsin interfaceDigitalLoas- Parameters:
ibx- the IBX data center identifier (e.g.AM11); required- Returns:
- the customer organizations
-
listOrganizations
public List<? extends LoaCustomerOrganization> listOrganizations(String ibx, List<String> productTypes) Description copied from interface:DigitalLoasLists the customer organizations available in the given IBX data center, filtered by product type, that the current user may use as a Digital LOA requestor.Private beta endpoint (
GET /diloa/v1/organizations). Thelocation.ibxquery parameter is required by the API;product.typeis optional.- Specified by:
listOrganizationsin interfaceDigitalLoas- Parameters:
ibx- the IBX data center identifier (e.g.AM11); requiredproductTypes- the product types to filter by (e.g.CROSS_CONNECT), ornull- Returns:
- the customer organizations
-
isPrivateBetaAllowed
Description copied from interface:DigitalLoasReturns whether the current user is permitted to use the Digital LOA application in its private beta phase (GET /diloa/v1/privateBetaAccess).Still in the diloav1 spec, but the route answers HTTP 404 live (observed 2026-11-11), so this call currently throws
EquinixNotFoundException.- Specified by:
isPrivateBetaAllowedin interfaceDigitalLoas- Returns:
- the private beta permission
-
createPrivateBetaAccessRequest
Description copied from interface:DigitalLoasSubmits a request for Digital LOA private beta access (POST /diloa/v1/privateBetaAccess).Still in the diloav1 spec, but a GET on the same path answers HTTP 404 live (observed 2026-11-11, not exercised with this write), so this call is expected to fail.
- Specified by:
createPrivateBetaAccessRequestin interfaceDigitalLoas- Parameters:
request- the private beta access request body- Returns:
trueif the request was submitted successfully
-
getBetaTermsAgreement
Description copied from interface:DigitalLoasReturns the current user's acceptance of the Digital LOA private beta terms (GET /diloa/v1/betaTermsAgreement).Still in the diloav1 spec, but the route answers HTTP 404 live (observed 2026-11-11), so this call currently throws
EquinixNotFoundException.- Specified by:
getBetaTermsAgreementin interfaceDigitalLoas- Returns:
- the beta terms agreement
-
updateBetaTermsAgreement
Description copied from interface:DigitalLoasRecords the current user's acceptance of the Digital LOA private beta terms (PUT /diloa/v1/betaTermsAgreement).Still in the diloav1 spec, but a GET on the same path answers HTTP 404 live (observed 2026-11-11, not exercised with this write), so this call is expected to fail.
- Specified by:
updateBetaTermsAgreementin interfaceDigitalLoas- Parameters:
agreementAccepted- whether the beta terms are accepted- Returns:
- the updated beta terms agreement
-